2010年12月10日金曜日

lennyからsqueezeへアップグレード(暫定)

ただ単純にアップグレードが成功するならこの記事の必要性はないだろうw
サービスパックをあてる様な感覚でLennlyからSqueezeにアップグレードすると
様々なエラートラップにはまるので、それらを切り抜けて完了させる方法を説明していく。

まず前提としてapt-getのみでアップグレードする事を推奨。

$ apt-get install apt aptitude
$ apt-get install perl5 libdpkg-perl
$ apt-get install python2.6 python2.6-minimal
$ apt-get dist-upgrade
・dpkgエラーの場合は、参照リンク
・shエラーの場合は、
$ cd /bin/sh
$ ls -l sh
dashがないのにリンクしていたらbashにリンク張替えて
$ rm sh
$ ln -s bash sh
$ apt-get dist-upgrade
全部完了したところで
$ rm sh
$ ln -s dash sh

これでlennyから無事squeezeへアップグレードした。

・参照リンク
街角のリブロガー: Mini2440のバッドノウハウ
コメントを投稿

Androider